Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.fileadapter.webservice
Class FileWSException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.stc.connector.fileadapter.webservice.FileWSException

All Implemented Interfaces:
  com.stc.connector.persistence.bpel.PersistableData, java.io.Serializable

    public class FileWSException

extends java.lang.Exception
implements com.stc.connector.persistence.bpel.PersistableData

This class is the FileWSException.

See Also:
  Serialized Form

Constructor Summary
`FileWSException()` Creates a new instance of FileWSException
`FileWSException(java.lang.String message)`

Method Summary
`java.lang.String` | `getMessage()` Gets the message.
`boolean` | `hasMessage()` Checks whether the message properety has been set.
`void` | `persist(com.stc.connector.persistence.bpel.DataOutput dout)` Persists this message.
`void` | `restore(com.stc.connector.persistence.bpel.DataInput din)` Restores this message.
`void` | `setMessage(java.lang.String newmessage)` Sets the message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileWSException

    public FileWSException()

  Creates a new instance of FileWSException

### FileWSException

    public FileWSException(java.lang.String message)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Gets the message.

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    The message.

### setMessage

    public void setMessage(java.lang.String newmessage)

  Sets the message.

  Parameters:
    `newmessage` - The new message.

### hasMessage

    public boolean hasMessage()

  Checks whether the message properety has been set.

  Returns:
    true if it was set or false if not.

### persist

    public void persist(com.stc.connector.persistence.bpel.DataOutput dout)
                 throws java.lang.Exception

  Persists this message.

  Specified by:
    `persist` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dout` - The DataOutput to which the Java Bean message is persisted.
  Throws:
    `java.lang.Exception` - upon error.

### restore

    public void restore(com.stc.connector.persistence.bpel.DataInput din)
                 throws java.lang.Exception

  Restores this message.

  Specified by:
    `restore` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `din` - The DataInput from which the Java Bean message is restored.
  Throws:
    `java.lang.Exception` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.